System Requirements


STANDARD SYSTEM REQUIREMENTS

Environment

LAMP (Linux, Apache, MySQL, and PHP) or LNMP stack

Operating System

Linux X86, X86-64

Web Server

Apache 2.x

Nginx 1.7.x

Server Hosting

Ability to override options in .htaccess files.

PHP

PHP 5.6

PHP 5.5

PHP 5.4

Required extensions:

imagick

simplexml

mcrypt

hash

Process images and output format.

iconv

curl

SOAP (for Web services API)

Additional configuration:

safe_mode off

memory_limit no less than 256 MB (512 MB recommended)

Database

MySQL 5.6 (Oracle or Percona)

SSL

A valid security certificate is required for HTTPS. Self-signed certificates are not supported.

We recommend if possible to run both the storefront and Admin on HTTPS.

Supported PHP Ecommerce

Magento

Integrate into Magento 1.9.x, Magento 2.x both Enterprise and Community edition.

Woocommerce

Available for Woocommerce 2.1.x.